/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java application project to get you started.
 * For more details take a look at the 'Building Java & JVM projects' chapter in the Gradle
 * User Manual available at https://docs.gradle.org/7.5/userguide/building_java_projects.html
 * This project uses @Incubating APIs which are subject to change.
 */

plugins {
	// Apply the application plugin to add support for building a CLI application in Java.
	application
	id("org.openjfx.javafxplugin") version "0.0.13"
}

javafx {
	version = "19"
	modules("javafx.controls", "javafx.fxml")
}

repositories {
	mavenCentral()
}

dependencies {
}

tasks.withType<JavaCompile>().configureEach {
	options.compilerArgs.add("-Xlint:unchecked")
	options.isDeprecation = true
}

application {
	mainModule.set("vap2022_11_01_javafx_exam")
	mainClass.set("vap2022_11_01_javafx_exam.Main")
}


